Bug 1308706 - dhclient can't create /var/lib/dhclient/dhclient.leases: No such file or directory
dhclient can't create /var/lib/dhclient/dhclient.leases: No such file or dire...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-discoverd (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity medium
: ---
: 10.0 (Newton)
Assigned To: RHOS Maint
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 15:06 EST by Thom Carlin
Modified: 2016-09-21 06:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 06:10:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-02-15 15:06:53 EST
Description of problem:

dracut emergency shell, journalctl reports dhclient errors

Version-Release number of selected component (if applicable):

RHCI TP2 RC9

How reproducible:

Intermittent but frequent

Steps to Reproduce:
1. Install both RHCI and TripleO ISOs
2. Log in each system to run launch-fusor*-installer
3. Deploy OpenStack + CloudForms using RHCI

Actual results:

Overcloud nodes sometimes register, sometime go to dracut emergency shell

Expected results:

All Overcloud nodes consistently register

Additional info:

Same hardware worked fine earlier today.
journalctl displays "can't create /var/lib/dhclient/dhclient.leases: No such file or directory" several times
Comment 4 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Dmitry Tantsur 2016-09-06 11:53:22 EDT
Hello,

The dhclient error is not fatal, please look for a real failure. Also what do you mean by "register"? I'm not sure I'm familiar with a product/project you're using with RHOS.
Comment 7 Thom Carlin 2016-09-07 07:17:37 EDT
As mentioned, this is fatal from an end-user's perspective.

For information on QCI (a.k.a. RHCI), please see https://access.redhat.com/documentation/en/quickstart-cloud-installer/1.0/paged/quickstart-cloud-installer-guide/, especially Section 4.2
Comment 8 Dmitry Tantsur 2016-09-07 07:46:39 EDT
No, the "can't create leases" is NOT fatal on its own, I see it on all my machines. Could you please undig the whole journalctl? Also it's still unclear to me if it happens during introspection or during deployment. I suspect the former, but please clarify as well.
Comment 9 Thom Carlin 2016-09-07 07:55:09 EDT
That environment was transient and removed back in February so no journalctl is currently available.  Since then, there have been several rewrites to the application.

I believe your latter question is from a TripleO perspective (as opposed to a QCI perspective) so I would say introspection.  The terms have different meanings, depending on the context.
Comment 10 Dmitry Tantsur 2016-09-07 08:30:49 EDT
So, do you still experience this problem? If not, we probably won't be able to fix it, as we need a reproducer.
Comment 11 Thom Carlin 2016-09-20 07:19:10 EDT
I have not experienced this recently.
Comment 12 Dmitry Tantsur 2016-09-21 06:10:54 EDT
OK, thanks, please reopen if you see it again.

Note You need to log in before you can comment on or make changes to this bug.